#ifndef _EXCEPTION_TYPE_H_
#define _EXCEPTION_TYPE_H_

#include <string>

#include "exceptionbase.h"

using namespace std;

/**
 * \brief Runtime type conversion failure.
 *
 * \date 01-21-2006
 *
 * \author Ondrej Svejdar
 *
 * \todo 
 *
 * \bug 
 *
 */
class ExceptionType:public ExceptionBase
{
	const string type1;
	const string type2;
public:
	static const char* type;
	const char* getType() const;
	
	/**
	 * \brief ctor
	 * \param type1 type (ie. name of class) required
	 * \param type2 type (ie. name of class) given
	 * \return 
	 */
	ExceptionType(const string& type1,const string& type2):
		type1(type1),type2(type2)
	{
	}
	
	~ExceptionType() throw()
	{
	}

	const string& getMessage() const;
};


#endif/*_EXCEPTION_TYPE_H_*/
